<template>
  <data-driven-transition :is-next="isNext">
    <div class="form__field-group" v-if="active" :key="fieldId">
      <slot />
    </div>
  </data-driven-transition>
</template>
<script>
import DataDrivenTransition from "../transitions/DataDrivenTransition.vue";

export default {
  name: "FieldGroup",
  props: {
    fieldId: {
      type: Number,
      default: null,
    },
  },
  inject: ["formState"],
  components: {
    DataDrivenTransition,
  },
  computed: {
    active() {
      return this.formState.activeField === this.fieldId;
    },
    isNext() {
      return this.formState.isNext;
    },
  },
};
</script>
